Products Delete
curl --request POST \
--url https://api-v2.production.higg.org/pic-api/v1/products/delete \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--header 'x-developer-request-token: <api-key>' \
--data '
{
"ids": [
"<string>"
]
}
'import requests
url = "https://api-v2.production.higg.org/pic-api/v1/products/delete"
payload = { "ids": ["<string>"] }
headers = {
"x-api-key": "<api-key>",
"x-developer-request-token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-api-key': '<api-key>',
'x-developer-request-token': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({ids: ['<string>']})
};
fetch('https://api-v2.production.higg.org/pic-api/v1/products/delete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"successIds": [
"<string>"
],
"failureIds": [
"<string>"
]
}Products
Delete Products
POST
/
products
/
delete
Products Delete
Use this endpoint to delete one or more products from your PIC product library.
This action is destructive and cannot be undone.
Request body params
| Name | Type | Description |
|---|---|---|
ids | Array<string> | [REQUIRED] An array of unique product IDs to be deleted. |
Implementation Details
- Bulk Operation: This endpoint handles bulk deletions. It returns a response indicating which IDs were successfully deleted and which failed.
- Response Format: Returns
{ successIds: string[], failureIds: string[] }.
⌘I

